import java.io.*;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;

public class dugme extends JApplet implements ActionListener,ItemListener
{
  Container c;
  JPanel inputPanel;
  JButton b;
  int kirmizi,yesil,mavi;
  Color renk;
  public void init()
  {    
	renk=Color.blue; 
	c=getContentPane();
    inputPanel=new JPanel();
    b=new JButton("ekran renginideğiştirmek için düğme'ye basınız"l);
    inputPanel.add(b);
    c.add(inputPanel);
    b.addActionListener(this);
  }

public void itemStateChanged(ItemEvent ev)
{repaint();}


public void actionPerformed( ActionEvent e)
{
//tesadüfi renk belirle düğmeye her basılışta rengi değiştir.	
kirmizi=(int)(255.0*Math.random());
yesil  =(int)(255.0*Math.random());
mavi   =(int)(255.0*Math.random());
renk=new Color(kirmizi,yesil,mavi);
inputPanel.setBackground(renk);repaint();
}

    public static void main(String s[])
    {
        JFrame f = new JFrame("Grafik ekran düğme kontrol programı");
        f.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });
        JApplet applet = new dugme();
        f.getContentPane().add("Center", applet);
        applet.init();
        f.pack();
        f.setSize(new Dimension(800,400));
        f.setVisible(true);
    }
}





